Skip to main content
POST
/
v1
/
applications
/
keys
/
rotate
Rotate the calling application's EC keypair
curl --request POST \
  --url https://idaas.yourflexpay.com/api/v1/applications/keys/rotate \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "appHandle": "walletapp",
    "clientId": "<string>",
    "clientSecret": "<string>",
    "active": true,
    "redirectUris": "<string>",
    "transactionWebhookUrl": "<string>",
    "webhookSecret": "<string>",
    "metadata": {},
    "logoUrl": "<string>",
    "appPublicKeyJwk": {
      "kty": "<string>",
      "crv": "<string>",
      "x": "<string>",
      "y": "<string>",
      "use": "<string>",
      "alg": "<string>",
      "d": "<string>"
    },
    "appPrivateJwk": {
      "kty": "<string>",
      "crv": "<string>",
      "x": "<string>",
      "y": "<string>",
      "use": "<string>",
      "alg": "<string>",
      "d": "<string>"
    },
    "encryptionEnabled": true,
    "keyVersion": 1,
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Response

Keypair rotated - new key material returned

success
boolean
message
string
errorCode
string
data
object

Registered application (tenant) details

errors
string[]
timestamp
string<date-time>